Subject: RE: DDD Debugger
From: [email-masked] (Colman Curtin)

15 Jan 1999 11:30:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
To: [email-masked]
Cc: Stipe Tolj <[email-masked]>

Hi all
I managed to compile lesstif and then the latest DDD without too much pain
although DDD takes a looooong time to make.
I'm using nt4 sp3, b20.1 or rather latest egcs for b20.1.
to get lesstif compiled I did the following:
- sh is a symlink to bash
- set up LD env var
- create a symlink from my installation of /X11 to /XFree86.
  No mater what prefixing I tried it still looked there so that quietened
it.
 - need an install that knows about .exe
but when I try to run the tests anything linked against libXt.a fails with
undefined references in Shell.o haven't looked into that further the order
of libs on the link line could be off. I needed to install libtool too.

then for DDD
ran configure enabling X and telling it where lesstif lived.
configure failed on one test checking for XmCreateOptionMenu in libXm.a
because of the undefined references in libXt.a mentioned above.
skipped that test and configure ran to completion.
then make and after many cups of coffee came back and all was completed.
make check successfully launches DDD and starts to debug the test program
but, there's always a but, it tries to create a dir '//.ddd/sessions' to
store info for restart etc. but obviously cannot, although this doesn't stop
it working its a pain.
The icons in my tool bar are just black boxes.
Also the symbols for current position and breakpoints are black.
It seems to be only black and white where as the binary available(don't have
the URL right now) appears in colour.
I haven't done much testing with it yet but with time I'll have another
look.
Anyone have any ideas on how to resolve any of the stumbling blocks I ran
into?

thanks to all whose s/w got me this far.
Coley.

Colman Curtin	Software Team Leader
*Trintech - The Secure Way to Pay*
Trintech Technologies Ltd,
South County Business Park,
Leopardstown, Dublin 18, Ireland.
Tel: +353-1-207-4000
Fax: +353-1-207-4015
mailto:[email-masked]
http://www.trintech.com/

"Here at the Phone Company, we serve all kinds of people; from
Presidents and Kings to the scum of the earth ..."

>> I've tried (so far unsuccessfully) to port DDD 3.1.2 to
>> b20.1/Windows98.  I have an executable that creates the main DDD
>> window, but fails to connect to gdb. Alternatively, it fails 
>to locate
>> the X libraries when run with --check-configuration.
>>
>> In both cases the problem is with calls to popen. I posted a 
>message a
>> few days ago asking for help in figuring out this popen problem, but
>> no takers yet. Too bad, because DDD is a superb front-end to gdb (and
>> other debuggers).
>>
>> At any rate, this is what you need to get as far as I got:
>>
>> 1. An X server. I currently use the free server by Microimages:
>>    http://tnt.microimages.com/www/html/freestuf/mix/
>>
>> 2. X libraries. I have downloaded the precompiled libraries from
>>    Andy Piper's ftp site http://www.parallax.co.uk/~andyp/.
>>
>> 3. Lesstif libraries. Check http://www.lesstif.org.
>>
>> 4. And of course ddd itself: http://www.cs.tu-bs.de/softech/ddd
>>
>> Some configuation work is required.
>
>if there are already some patches done by you to the ddd and 
>lesstif source I
>would like to have a look on it to help in getting ddd 
>working, since it
>would be a great tool for the cygwin environment.
>
>Regards,
>Stipe
>
>--
>Stipe Tolj <[email-masked]>
>Cygwin Porting Project
>Department of Economical Computer Science
>University of Cologne, Germany
>http://www-public.rz.uni-duesseldorf.de/~tolj
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".